
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

        Asset( "ANIM", "anim/madeleine.zip" ),
        Asset( "ANIM", "anim/ghost_madeleine_build.zip" ),
}
local prefabs = {}
local start_inv = {
	"goldnugget",        
	"redgem",
	"bluegem",
	"purplegem",
	"greengem",
	"orangegem",
	"yellowgem",
	-- Custom starting items
}

-- This initializes for both clients and the host
local common_postinit = function(inst) 
	-- choose which sounds this character will play
	inst.soundsname = "wendy"

	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "madeleine.tex" )
end

local function setspeed(inst)
	inst.components.locomotor.walkspeed = (5)
	inst.components.locomotor.runspeed = (8.1)
end

-- This initializes for the host only
local master_postinit = function(inst)
	-- Stats	
	inst.components.health:SetMaxHealth(90)
	inst.components.hunger:SetMax(100)
	inst.components.sanity:SetMax(90)
	inst.components.sanity.night_drain_mult = 0.1
	inst.components.sanity.neg_aura_mult = 1.8
	inst.components.combat.damagemultiplier = 0.8
	inst.components.temperature.inherentinsulation =(TUNING.INSULATION_PER_BEARD_BIT * 4)
	inst.components.locomotor.walkspeed = (5)
	inst.components.locomotor.runspeed = (8.1)
	inst:ListenForEvent("ms_respawnedfromghost", setspeed)
	setspeed(inst)
	
	
end

return MakePlayerCharacter("madeleine", prefabs, assets, common_postinit, master_postinit, start_inv)
